4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.RtfWriter

Result Tree Fragment writer for XSLT output
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: RtfWriter |  |  |  | Fields: EMPTY_NAMESPACE, XMLNS_NAMESPACE, implementation

## Classes

class RtfWriter(Ft.Xml.Xslt.NullWriter.NullWriter)
A special, simple writer for capturing result-tree fragments

### Methods

__init__(self, outputParams, baseUri, implementation=<DOMImplementation at 0x3d9050>)
Note: The implementation must support createRootNode(baseUri).
attribute(self, name, value, namespace=None)
comment(self, data)
endElement(self, name, namespace=None)
getResult(self)
processingInstruction(self, target, data)
startElement(self, name, namespace=None, extraNss=None)
text(self, data, escapeOutput=True)

### Methods inherited from class Ft.Xml.Xslt.NullWriter.NullWriter

copyNodes, endDocument, getMediaType, getStream, namespace, startDocument

## Fields

EMPTY_NAMESPACE = None
XMLNS_NAMESPACE = u'http://www.w3.org/2000/xmlns/'
implementation = <DOMImplementation>
The DOMImplementation interface provides a number of methods for performing operations that are independent of any particular instance of the document object model.